为了学习 flutter, 所以借用 cnode api, 写了个 flutter 的cnode android客户端~
发布于 1 年前 作者 cWatermelon 4954 次浏览 来自 分享

flutter cnode android 客户端

最近在学习flutter, 但是光看文档感觉有点枯燥而且也没有直观的感受 所以借用 cnode 的open api 写了个客户端, 加深下理解 客户端功能不多, 但还是欢迎大家能试用下哈

下载地址

image.png

  • 64位

image.png

  • 32 位

真机运行图

  • 75A330504A80DF39FF0808EB4FB7E0F1.jpg
  • 66E9070BCAF52370CF45A6D35243D270.jpg
  • 8F41E1E3AA5B0FC616C0C570A8441AA3.jpg

源码地址

@hello_cnode

感谢 cnode open api

17 回复

在下载安装的时候, 可能弹出 google play的 提示, 点击安装就好啦~~~~ 顶~~~~~~~

我顶~~~~~~~

赞,看安装包挺小的, 仅用到flutter吗? 看源码里还有kotlin?

@dbit-xia 纯 flutter 但是有的三方库可能用到了 kotlin 实现, 比如扫码功能

顶啊啊啊啊啊啊啊啊啊啊~ 有没有人点个赞的~~~~

没事 我就顶顶看

flutter支持webp格式的图片吗?

大哥,用的哪个梯子,能否推荐下!

帖子回复item干嘛不用webview支持图片?

@binbin0915 因为最开始写这个的时候 就是想学习flutter的各个控件用法, 所以没有用webview 展示回复 item, 其实在点击用户头像进入个人中心之后, 再点击用户昵称可以进入 github 主页的

@takaximina emmm 自己搭的

@yakczh 这个 我没试过哎 晚点试试看

有没有人能点个赞哇🤩

@binbin0915 还有个问题是接口返回的数据类型, 也不能直接用webview 打开吧? 因为不是个网页啊

@yakczh 支持的 试过了~

@cWatermelon 你的编译环境是啥 具体版本 为什么我的Android studio+Flutter最新版本下编译报错?

@binbin0915 报错信息贴出来看看呢? 我这边环境是 flutter 1.12.13+hotfix.5 dart 2.7.0 android-29 build-tools29.0.2

回到顶部